Bug 181906 - [Maintainer] math/giacxcas update to 1.1.0
[Maintainer] math/giacxcas update to 1.1.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 09:30 UTC by han
Modified: 2013-09-10 02:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.64 KB, patch)
2013-09-07 09:30 UTC, han
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description han 2013-09-07 09:30:00 UTC
- Update to the latest stable version of giac/xcas: 1.1.0
- This upgrade should improve the following pkg-fallout with freebsd 10.0:

http://beefy2.isc.freebsd.org/bulk/head-default/2013-09-04_22h17m34s/logs/giacxcas-1.0.0_1.log


 Although I don't have freebsd 10.0 to test, the code is slightly different at this point. I have asked upsteam and they answered that there are indeed improvement from giac-1.0.0 to giac-1.1.0 about compilation without gcc. They also report success of compiling giac-1.1.0 with  llvm.

- Change the second Master site.

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-09-08 15:03:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-09-10 02:23:22 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter freebsd_committer 2013-09-10 02:23:22 UTC
Author: wg
Date: Tue Sep 10 01:23:13 2013
New Revision: 326854
URL: http://svnweb.freebsd.org/changeset/ports/326854

Log:
  math/giacxcas: update to 1.1.0
  
  - Update to 1.1.0 [1]
  - Convert lib depends to new syntax
  - USES gmake
  
  PR:		ports/181906 [1]
  Submitted by:	Han Frederic <han math.jussieu.fr> (maintainer)

Modified:
  head/math/giacxcas/Makefile
  head/math/giacxcas/distinfo
  head/math/giacxcas/pkg-plist

Modified: head/math/giacxcas/Makefile
==============================================================================
--- head/math/giacxcas/Makefile	Mon Sep  9 22:58:16 2013	(r326853)
+++ head/math/giacxcas/Makefile	Tue Sep 10 01:23:13 2013	(r326854)
@@ -2,11 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	giacxcas
-PORTVERSION=	1.0.0
-PORTREVISION=	1
+PORTVERSION=	1.1.0
 CATEGORIES=	math
 MASTER_SITES=	http://www-fourier.ujf-grenoble.fr/~parisse/giac/freebsd/ \
-		http://people.math.jussieu.fr/~han/xcas/sources/
+		http://www.math.jussieu.fr/~han/xcas/sources/
 DISTFILES=	fltk-giac.tar.gz CoCoALib-0.9950.tgz giac-${PORTVERSION}.tar.gz
 DIST_SUBDIR=	${PORTNAME}
 
@@ -17,21 +16,20 @@ LICENSE=	GPLv3
 
 BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash \
 		${LOCALBASE}/lib/libntl.a:${PORTSDIR}/math/ntl
-LIB_DEPENDS=	gmp:${PORTSDIR}/math/gmp \
-		pari:${PORTSDIR}/math/pari \
-		mpfr:${PORTSDIR}/math/mpfr \
-		gsl:${PORTSDIR}/math/gsl \
-		lapack:${PORTSDIR}/math/lapack
+LIB_DEPENDS=	libgmp.so:${PORTSDIR}/math/gmp \
+		libpari.so:${PORTSDIR}/math/pari \
+		libmpfr.so:${PORTSDIR}/math/mpfr \
+		libgsl.so:${PORTSDIR}/math/gsl \
+		liblapack.so:${PORTSDIR}/math/lapack
 
 NO_CDROM=	French documentation is for non-commercial use only
 
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
 USE_GL=		gl
 USE_XORG=	xcursor xft xi
 USE_TEX=	latex:build dvipsk:build
 USE_LDCONFIG=	yes
-USES=		gettext
+USES=		gettext gmake
 
 DOCSDIR=	${PREFIX}/share/doc/giac
 PORTDOCS=	*

Modified: head/math/giacxcas/distinfo
==============================================================================
--- head/math/giacxcas/distinfo	Mon Sep  9 22:58:16 2013	(r326853)
+++ head/math/giacxcas/distinfo	Tue Sep 10 01:23:13 2013	(r326854)
@@ -2,5 +2,5 @@ SHA256 (giacxcas/fltk-giac.tar.gz) = 538
 SIZE (giacxcas/fltk-giac.tar.gz) = 4776876
 SHA256 (giacxcas/CoCoALib-0.9950.tgz) = b30d840593e1930c1629467918b508c429e0a983ef0d1343eab570f238275678
 SIZE (giacxcas/CoCoALib-0.9950.tgz) = 4120680
-SHA256 (giacxcas/giac-1.0.0.tar.gz) = 35bc4a366ad26a0ff8f96d728f625b4f7070fa8b64976c1b82d1392bd78be67b
-SIZE (giacxcas/giac-1.0.0.tar.gz) = 32735131
+SHA256 (giacxcas/giac-1.1.0.tar.gz) = 23eaad028abc2e5453c8ad5029c5610e4f051f9385973832ec0785cf6cbfe5eb
+SIZE (giacxcas/giac-1.1.0.tar.gz) = 45684044

Modified: head/math/giacxcas/pkg-plist
==============================================================================
--- head/math/giacxcas/pkg-plist	Mon Sep  9 22:58:16 2013	(r326853)
+++ head/math/giacxcas/pkg-plist	Tue Sep 10 01:23:13 2013	(r326854)
@@ -41,6 +41,7 @@ include/giac/modfactor.h
 include/giac/modpoly.h
 include/giac/monomial.h
 include/giac/moyal.h
+include/giac/myostream.h
 include/giac/pari.h
 include/giac/permu.h
 include/giac/plot.h
@@ -75,6 +76,16 @@ lib/libgiac.so
 lib/libgiac.so.0
 share/application-registry/xcas.applications
 share/applications/xcas.desktop
+share/icons/hicolor/256x256/apps/xcas.png
+share/icons/hicolor/256x256/mimetypes/application-x-xcas.png
+share/icons/hicolor/128x128/apps/xcas.png
+share/icons/hicolor/128x128/mimetypes/application-x-xcas.png
+share/icons/hicolor/64x64/apps/xcas.png
+share/icons/hicolor/64x64/mimetypes/application-x-xcas.png
+share/icons/hicolor/32x32/apps/xcas.png
+share/icons/hicolor/32x32/mimetypes/application-x-xcas.png
+share/icons/hicolor/16x16/apps/xcas.png
+share/icons/hicolor/16x16/mimetypes/application-x-xcas.png
 share/locale/de/LC_MESSAGES/giac.mo
 share/locale/el/LC_MESSAGES/giac.mo
 share/locale/en/LC_MESSAGES/giac.mo
@@ -84,6 +95,23 @@ share/locale/it/LC_MESSAGES/giac.mo
 share/locale/pt/LC_MESSAGES/giac.mo
 share/locale/zh/LC_MESSAGES/giac.mo
 share/pixmaps/xcas.xpm
+@dirrmtry share/icons/hicolor/256x256/mimetypes
+@dirrmtry share/icons/hicolor/256x256/apps
+@dirrmtry share/icons/hicolor/256x256
+@dirrmtry share/icons/hicolor/128x128/mimetypes
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor/64x64/mimetypes
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/32x32/mimetypes
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/16x16/mimetypes
+@dirrmtry share/icons/hicolor/16x16/apps
+@dirrmtry share/icons/hicolor/16x16
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
 @dirrmtry share/applications
 @dirrmtry share/application-registry
 @dirrm include/giac
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"